#include <stdio.h>
#include <dos.h>
#include <process.h>
#include <stdlib.h>
#include "s_types.h"
#include "s_ssci.h"
#include "s_api.h"
#include "sc_ipdef.h"
 
static CF_T CfgFileData;			/* keep all configuration file data */

main ()
{
  int i;
  char buf[80];
  int dev;
  int cnt;



  /* Read the Configuration file */

  aaReadConfigFile("config.dat",&CfgFileData);

  /* Initialize each controller in use */

  for (i=0; i<CfgFileData.NumCtlrs; i++)
  {
     if (!aaInit(i,&CfgFileData))
     {
        printf("Failure - One or more controllers did not initialize\n");
        exit(1);
     }
  }



  fprintf(stderr,"Serial Line Number (0-15): ");
  gets(buf);                                      /* get serial line */
  sscanf(buf,"%d",&dev);
  system("cls");                                  /* clear screen */
  fprintf(stderr,"Serial Line Number %d\t\t\tHit F10 to Quit\n",
  dev);

  /* Open the chosen line */

  if (aaOpen(dev,COM_TX | COM_RX,COM_BAUD_9600,COM_PAR_NONE,
          COM_DATABIT_8,COM_STOPBIT_1,COM_FLOW_NONE,
          COM_DEN_PARITY | COM_DEN_RXOVR | COM_DEN_FRAME | COM_DEN_CTS,
          COM_MDM_DTR) != 0)
     {
        printf("Failure - Could not open line number %d\n",dev);
        exit(1);
     }



  while(1)                            /* infinite loop */
  {
     /* attempt to read char from device and write to screen */
     if((cnt = aaRead(dev,80,(char far *)buf)) > 0)
     {
        for(i=0;i<cnt;i++)
              putc(buf[i],stderr);
     }

     /* attempt to read char from keyboard and write to device */
     if((bdos(11,0,0)&0xff) == 0xFF)  /* if char waiting */
     {
        buf[0] = bdos(8,0,0) & 0xff;  /* read keybd char */
        if ((buf[0] == '\0') &&       /* 2 char key */
        ((bdos(11,0,0)&0xff) == 0xff))
        {
           buf[1] = bdos(8,0,0) & 0xff;  /* next */
           if(buf[1] == 0x44)      /* F10 = quit */
              break;
        }
        aaWrite(dev,1,(char far *)buf);
     }
  }

  aaClose(dev,COM_MDM_RTS | COM_MDM_DTR);
  aaExit();
  return(0);

} /* end main */


